Retrieve the receiving conversion rate
curl --request GET \
--url https://api.example.com/banks/{rail}/rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/banks/{rail}/rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/banks/{rail}/rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"currency": "<string>",
"rate": "500.00",
"fixedFee": "500.00",
"fixedFeeCurrency": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Virtual accounts
Retrieve the receiving conversion rate
Return the current conversion rate and fixed fee for this receiving payment method. The result is indicative until an incoming transfer is created.
GET
/
banks
/
{rail}
/
rate
Retrieve the receiving conversion rate
curl --request GET \
--url https://api.example.com/banks/{rail}/rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/banks/{rail}/rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/banks/{rail}/rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"currency": "<string>",
"rate": "500.00",
"fixedFee": "500.00",
"fixedFeeCurrency": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Path Parameters
Opaque rail id
Example:
"wire_named"
Response
Successful Response
ISO 4217 fiat currency code for this conversion.
Conversion rate net of markup, when currently available.
Example:
"500.00"
Fixed fee component, when charged.
Example:
"500.00"
Currency in which the fixed fee is charged.
Was this page helpful?